Skip to main content
DELETE
/
api
/
v1
/
llm
/
vector_stores
/
{vector_store_id}
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.llm.vectorStores.delete({
    vectorStoreId: "vs_abc123",
  });

  console.log(result);
}

run();
{
  "id": "vs_abc123",
  "object": "vector_store.deleted",
  "deleted": true
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Path Parameters

vector_store_id
string
required

The ID of the vector store to delete.

Response

200 - application/json

OK

Deletion status for a vector store.

id
string
required

The ID of the deleted vector store.

object
any
required

The object type, which is always 'vector_store.deleted'.

deleted
boolean
required

Whether the deletion was successful.